document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_4400 | ---
+++
@@ -9,12 +9,15 @@
chown magento:magento ~magento/.ssh/
fi
-keybucket=`/usr/local/bin/aws s3 ls | grep lsynckey\\-rax\\- | awk '{print $3}'`
+while [ -z ${keybucket} ]
+do
+ keybucket=`/usr/local/bin/aws s3 ls | grep lsynckey\\-rax\\- | awk '{print $3}'`
+ sleep 5
+done
+
if [ ! -z ${keybucket} ]
the... | bash |
d_bash_4401 | ---
+++
@@ -18,9 +18,11 @@
mclient -lsql -d dbmaster -s "insert into tmp values(1);"
mclient -lsql -d dbmaster -s "select * from tmp;"
+# may be some delay in the propagation
+# because master need to flush the file again.
mclient -lsql -d dbslave -s "select * from tmp;"
mclient -lsql -d dbslave -s "select * fr... | bash |
d_bash_4402 | ---
+++
@@ -10,7 +10,7 @@
--output /tmp/chromedriver_linux64.zip \
https://chromedriver.storage.googleapis.com/2.38/chromedriver_linux64.zip
-unzip /tmp/chromedriver_linux64.zip chromedriver -d ~/.local/bin
+unzip -o /tmp/chromedriver_linux64.zip chromedriver -d /usr/local/bin
rm /tmp/chromedriver_li... | bash |
d_bash_4403 | ---
+++
@@ -13,6 +13,11 @@
LIB_VERSION_PATCH=`cat CMakeLists.txt | match 's/set\(VERSION_PATCH.*([0-9]+).*\)/\1/p'`
LIB_VERSION=$LIB_VERSION_MAJOR.$LIB_VERSION_MINOR.$LIB_VERSION_PATCH
+if [ -z "$CIRCLE_TAG" ]; then
+ COMMIT_HASH=`echo $CIRCLE_SHA1 | cut -c 1-6`
+ LIB_VERSION="$LIB_VERSION-rc-$COMMIT_HASH"
+fi
+
... | bash |
d_bash_4404 | ---
+++
@@ -34,6 +34,9 @@
}
trap 'cleanup' EXIT
+mkdir -p "${HOME}/.cf/plugins" "${CF_HOME}/.cf"
+ln -s "${HOME}/.cf/plugins" "${CF_HOME}/.cf/plugins"
+
export CF_HOME
export CF_SUBSHELL_TARGET=$TARGET
| bash |
d_bash_4405 | ---
+++
@@ -1 +1 @@
-/usr/bin/aws s3 sync /var/jenkins_home s3://$S3_BUCKET --sse AES256 --debug
+/usr/bin/aws s3 sync /var/jenkins_home s3://$S3_BUCKET --sse AES256 | bash |
d_bash_4406 | ---
+++
@@ -1,10 +1,5 @@
sed -i.bak 's^TABIX_LIB_DIR)$^TABIX_LIB_DIR) -L$(PREFIX)/lib^' src/Makefile
-sed -i.bak 's^TABIX_INCLUDE_DIR)$^TABIX_INCLUDE_DIR) -L$(PREFIX)/include^' src/Makefile
+sed -i.bak 's^TABIX_INCLUDE_DIR)$^TABIX_INCLUDE_DIR) -I$(PREFIX)/include^' src/Makefile
sed -r -i.bak "s^tabix: (.*)^tabix: \... | bash |
d_bash_4407 | ---
+++
@@ -43,4 +43,4 @@
alias dp='~/Dropbox\ \(Personal\)'
# Docker
-alias dockup="boot2docker init && boot2docker up && eval \"\$(boot2docker shellinit)\""
+alias dockup="docker-machine create --driver virtualbox dev && eval \"\$(docker-machine env dev)\"" | bash |
d_bash_4408 | ---
+++
@@ -1,3 +1,3 @@
#!/usr/bin/env bash
-su - ec2-user -c "echo Example Init Script to be loaded to s3 bucket"
+echo "Example Init Script to be loaded to s3 bucket" | bash |
d_bash_4409 | ---
+++
@@ -1,11 +1,32 @@
+function savepath() {
+ pwd > ~/.current_path~
+}
+
function tab() {
- osascript 2>/dev/null <<EOF
+savepath
+osascript >/dev/null <<EOF
+on do_submenu(app_name, menu_name, menu_item, submenu_item)
+ -- bring the target application to the front
+ tell application app_name
+ ac... | bash |
d_bash_4410 | ---
+++
@@ -1,7 +1,9 @@
#!/bin/bash
set -e
+set -v
workdir=`pwd`
sources=$workdir/sts4/headless-services
+output=$workdir/out
if [ -d "maven-cache" ]; then
echo "Prepopulating maven cache"
@@ -13,3 +15,11 @@
cd ${sources}
./mvnw package -DargLine="-Dlsp.lazy.completions.disable=true -Dlsp.completions.... | bash |
d_bash_4411 | ---
+++
@@ -5,10 +5,7 @@
sudo apt-get update
sudo apt-get upgrade
-
-if type java > /dev/null 2&>1; then
- sudo apt-get install -y openjdk-7-jre
-fi
+sudo apt-get install -y openjdk-7-jre
sudo wget -O /tmp/elasticsearch-$ELASTICSEARCH_VERSION.deb https://download.elasticsearch.org/elasticsearch/elasticsearch/... | bash |
d_bash_4412 | ---
+++
@@ -5,4 +5,4 @@
# found in the LICENSE file.
THISDIR=$(dirname "${0}")
-PYTHONPATH="${THISDIR}/../../webkit/tools/layout_tests/:${THISDIR}/../valgrind:${THISDIR}/../python" exec "${THISDIR}/chrome_tests.py" "${@}"
+PYTHONPATH="${THISDIR}/../../webkit/tools/layout_tests/webkitpy/layout_tests:${THISDIR}/../... | bash |
d_bash_4413 | ---
+++
@@ -10,9 +10,11 @@
cd ..
# Build and copy the StandaloneViewer into the static directory
-# echo $DEPLOY_PRIME_URL
-# export ROOT_URL=$DEPLOY_PRIME_URL:/viewer/
+echo $DEPLOY_PRIME_URL
cd OHIFViewer-react
+export ROOT_URL=$DEPLOY_PRIME_URL:/viewer/
+sed -i 's,https://docs.ohif.org/viewer,${ROOT_URL},g' p... | bash |
d_bash_4414 | ---
+++
@@ -2,8 +2,17 @@
git clone https://github.com/zeromq/zeromq4-1
cd zeromq4-1
-git checkout "tags/v4.1.3"
+git checkout "tags/v4.1.4"
./autogen.sh
./configure --with-libsodium=no
make -j 8
sudo make install
+cd ..
+
+git clone https://github.com/zeromq/czmq
+cd czmq
+./autogen.sh
+./configure
+make
+sud... | bash |
d_bash_4415 | ---
+++
@@ -2,11 +2,11 @@
COV=$(coverage report | tail -n 1 | rev | cut -f 1 -d " " | rev)
-if [[ $COV < "50%" ]] ; then
+if [[ $COV < '50%' ]] ; then
COLOUR=red;
-elif [[ $COV < "75%" ]] ; then
+elif [[ $COV < '75%' ]] ; then
COLOUR=orange ;
-elif [[ $COV < "90%" ]] ; then
+elif [[ $COV < '90%' ]] ; then
... | bash |
d_bash_4416 | ---
+++
@@ -31,7 +31,7 @@
make check
mkdir $DNAME
-cp -r examples gr1c gr1c-patch autman gr1c-rg README.md LICENSE.txt $DNAME/
+cp -r examples gr1c gr1c-patch autman gr1c-rg README.md CHANGELOG LICENSE.txt $DNAME/
cp extern/cudd-$CUDDVER/LICENSE $DNAME/LICENSE-cudd-$CUDDVER
if [ $KERNEL = "MacOS" ]; then
z... | bash |
d_bash_4417 | ---
+++
@@ -27,7 +27,7 @@
# shellcheck disable=SC2164
cd "$(mktemp -dt kops.XXXXXXXXX)"
-git clone --branch v0.4.4 https://github.com/kubernetes-sigs/metrics-server.git .
+git clone --branch v0.5.0 https://github.com/kubernetes-sigs/metrics-server.git .
# The prometheus test expects to have only one metrics-se... | bash |
d_bash_4418 | ---
+++
@@ -1,6 +1,6 @@
#! /bin/sh
$PREPARETIPS > tips.cpp
-$EXTRACTRC `find . -name '*.ui' -or -name '*.rc' -or -name '*.kcfg'` >> rc.cpp || exit 11
+$EXTRACTRC `find . -name '*.ui' -or -name '*.rc' -or -name '*.kcfg' -or -name '*.kcfg.cmake'` >> rc.cpp || exit 11
$XGETTEXT -ktranslate `find -name '*.cpp' -o -nam... | bash |
d_bash_4419 | ---
+++
@@ -28,6 +28,8 @@
pip install -r requirements_for_tests.txt
+find . -name '*.pyc' -delete
+
nosetests -v
display_result $? 1 "Unit tests"
| bash |
d_bash_4420 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/sh
TRAVIS_PROTO=https
-TRAVIS_MIRROR=repo2.voidlinux.eu
+TRAVIS_MIRROR=beta.de.repo.voidlinux.org
for _i in etc/repos-remote.conf etc/defaults.conf etc/repos-remote-x86_64.conf ; do
printf '\x1b[32mUpdating %s...\x1b[0m\n' $_i
@@ -10,6 +10,6 @@
# so we can afford to be ... | bash |
d_bash_4421 | ---
+++
@@ -1,8 +1,6 @@
#!/bin/bash -e
cd $(dirname $0)/../../../git-cf-release
-
-./scripts/update
version=$(cat $VERSION_FILE)
| bash |
d_bash_4422 | ---
+++
@@ -8,6 +8,9 @@
echo "Analyze the source code with cppcheck"
cppcheck -v --platform=unix64 --std=c++11 --enable=all --xml -I include/ src/ 2> cppcheck-results.xml
+echo "Analyze the source code with RATS"
+rats -w 3 --xml src/ include/ > rats-results.xml
+
echo "Generate the doc"
make doc
| bash |
d_bash_4423 | ---
+++
@@ -24,7 +24,11 @@
rm -rf build >> benchmark.log && \
./gradlew ${GRADLE_CMD} clean >> benchmark.log && \
./gradlew ${GRADLE_CMD} jmhJar >> benchmark.log && \
-java -Xmx8m -jar build/libs/poi-benchmark-jmh.jar && \
+mkdir -p build/reports/jmh/ && \
+java -Xmx8m -jar build/libs/poi-benchmark-jmh.jar \
+ -o... | bash |
d_bash_4424 | ---
+++
@@ -8,5 +8,6 @@
for PATTERN in .cvs .git .hg .svn; do
GREP_OPTIONS+="--exclude-dir=$PATTERN "
done
-export GREP_OPTIONS+='--color=auto '
+GREP_OPTIONS+="--color=auto"
+export GREP_OPTIONS="$GREP_OPTIONS"
export GREP_COLOR='1;32' | bash |
d_bash_4425 | ---
+++
@@ -17,8 +17,8 @@
#[ ! -d $testhelpersdir/juju4.redhat-epel ] && git clone https://github.com/juju4/ansible-redhat-epel $testhelpersdir/juju4.redhat-epel
## galaxy naming: kitchen fails to transfer symlink folder
-#[ ! -e $testhelpersdir/trinitronx.wemux ] && ln -s ansible-role-wemux $testhelpersdir/trini... | bash |
d_bash_4426 | ---
+++
@@ -1 +1,7 @@
eval "$(npm completion 2>/dev/null)"
+
+# Install and save to dependencies
+alias npms="npm i -S "
+
+# Install and save to dev-dependencies
+alias npmd="npm i -D " | bash |
d_bash_4427 | ---
+++
@@ -3,9 +3,9 @@
sudo apt-get install -y zsh
# Install Oh-my-zsh
wget --no-check-certificate https://github.com/robbyrussell/oh-my-zsh/raw/master/tools/install.sh -O - | sh
-# change sh
+# Change default shell to zsh
sudo chsh -s /bin/zsh vagrant
-# copy .zshrc
+# Use default template for .zshrc settings
... | bash |
d_bash_4428 | ---
+++
@@ -1,26 +1,26 @@
-#!/bin/sh
+#!/bin/bash
set -eux
+PROJ_NAME=python-dciclient
-RPMBUILD_DIR="rpmbuild"
+# Create the proper filesystem hierarchy to proceed with srpm creatioon
+#
+rpmdev-setuptree
+cp ${PROJ_NAME}.spec ${HOME}/rpmbuild/SPECS/
+git archive master --format=tgz --output=${HOME}/rpmbuild/SOUR... | bash |
d_bash_4429 | ---
+++
@@ -2,7 +2,7 @@
if test ! $(which brew)
then
- ruby -e "$(curl -fsSL https://raw.github.com/mxcl/homebrew/go)"
+ ruby -e "$(curl -fsSL https://raw.github.com/Homebrew/homebrew/go/install)"
fi
brew update | bash |
d_bash_4430 | ---
+++
@@ -1,20 +1,16 @@
-alias hideme='history -d $((HISTCMD-1))'
-alias hideprev='history -d $((HISTCMD-2)) && history -d $((HISTCMD-1))'
-
-function hidegrep()
-{
+function airbrush () {
+ local histsize=$HISTSIZE
if [ ! -z "$1" ]; then
- while true; do
- hist=$(history | grep -e "$1" | head -n 1)
- ... | bash |
d_bash_4431 | ---
+++
@@ -15,7 +15,7 @@
source $1/bin/activate
# Install our PyZ3950, because the PyPI one is broken
- pip install git+http://github.com/alexdutton/PyZ3950.git
+ pip install git+http://github.com/oucs/PyZ3950.git
# Install Molly
python $DIR/../setup.py install | bash |
d_bash_4432 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-MINCOVERAGE=90
+MINCOVERAGE=91
coverage erase || exit 1
for i in test_*py ; do PYTHONPATH=.. coverage run -a --source ../faucet $i || exit 1 ; done | bash |
d_bash_4433 | ---
+++
@@ -18,6 +18,7 @@
keep-derivations = false
sandbox = false
experimental-features = nix-command flakes
+gc-reserved-space = 0
include nix.conf.extra
EOF
| bash |
d_bash_4434 | ---
+++
@@ -1,11 +1,12 @@
# run this whenever there is a new task added or a task is removed from gradle
-setupTasksList() {
+setupGradleTasksList() {
local tasks_file="$HOME/.gradleTasksList"
if [[ -x ./gradlew ]]; then
./gradlew --no-color --quiet tasks | grep ' - ' | awk '{print $1}' | tr '\n... | bash |
d_bash_4435 | ---
+++
@@ -3,7 +3,7 @@
case "$1" in
java8)
- echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u262-b10/OpenJDK8U-jdk_x64_linux_hotspot_8u262b10.tar.gz"
+ echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u265-b01/OpenJDK8U-jdk_x64_linux_hotspot_8u265b... | bash |
d_bash_4436 | ---
+++
@@ -1,11 +1,5 @@
#!/bin/sh
cd $(dirname $0)
-
-export ANDROID_HOME=${WORKSPACE}/android-sdk-linux
-export PATH=${ANDROID_HOME}/tools:${ANDROID_HOME}/platform-tools:${PATH}
-wget http://dl.google.com/android/android-sdk_r22.3-linux.tgz -nv
-tar xzf android-sdk_r22.3-linux.tgz
-echo "y" | android update sdk ... | bash |
d_bash_4437 | ---
+++
@@ -3,7 +3,7 @@
# mvn test -P chrome,basic,standalone -Dtest=org.jboss.hal.testsuite.test.configuration.messaging.*Test
find tests/basic/src/test/java/org/jboss/hal/testsuite/test -type f -name \*Test.java | sed 's/\/[a-Z]*\.java$//g' | sort | uniq \
- | sort | sed 's/tests\/basic\/src\/test\/java\///g... | bash |
d_bash_4438 | ---
+++
@@ -12,7 +12,7 @@
echo "https://github.com/AdoptOpenJDK/openjdk14-binaries/releases/download/jdk-14.0.2%2B12/OpenJDK14U-jdk_x64_linux_hotspot_14.0.2_12.tar.gz"
;;
java15)
- echo "https://github.com/AdoptOpenJDK/openjdk15-binaries/releases/download/jdk15u-2020-09-09-09-19/OpenJDK15U-jdk_x64_linux_hot... | bash |
d_bash_4439 | ---
+++
@@ -4,5 +4,5 @@
echo "Building version: $VER"
-echo $VER > __conda_version__.txt
+echo $VER > ../__conda_version__.txt
| bash |
d_bash_4440 | ---
+++
@@ -19,6 +19,8 @@
if [[ ! "$CHAR" ]]; then
WEIGHT=${ARR:-0}
cat <<EOF
+ default:
+ return -1;
}
NODE_$DEP :
@@ -34,6 +36,8 @@
if [[ $DEP != $PREV_DEP ]]; then
if [[ ! "$FIRST_CALL" ]]; then
cat <<EOF
+ default:
+ return -1;
}
... | bash |
d_bash_4441 | ---
+++
@@ -1,4 +1,4 @@
-function gi() { curl https://www.gitignore.io/api/$@ ;}
+function gi() { curl -L https://www.gitignore.io/api/$@ ;}
_gitignoreio_get_command_list() {
curl -s https://www.gitignore.io/api/list | tr "," "\n" | bash |
d_bash_4442 | ---
+++
@@ -8,4 +8,4 @@
--device /dev/disk/by-label/tiptoi:/dev/disk/by-label/tiptoi \
--security-opt apparmor:unconfined --cap-add SYS_ADMIN \
--name ttmp32gme \
- fabian/ttmp32gme:latest
+ fabmay/ttmp32gme:latest | bash |
d_bash_4443 | ---
+++
@@ -4,9 +4,18 @@
docker_projects=( "parser" "orchestration" "server" "web")
-docker login -e "$DOCKER_EMAIL" -p "$DOCKER_PASSWORD" -u "$DOCKER_USERNAME"
+if [ -n "$DO_DOCKER_PUSH" ]; then
+ docker login -e "$DOCKER_EMAIL" -p "$DOCKER_PASSWORD" -u "$DOCKER_USERNAME"
-for project in "${docker_projects[@... | bash |
d_bash_4444 | ---
+++
@@ -32,3 +32,5 @@
alias apachectl='/Applications/MAMP/Library/bin/apachectl'
# Start Node HTTP server and open web browser
alias hso='http-server -c-1 -o'
+# Open phpMyAdmin in web browser
+alias pma='open http://localhost:8888/phpMyAdmin/' | bash |
d_bash_4445 | ---
+++
@@ -1,19 +1,36 @@
#!/bin/bash
-# Run periodically to keep packages up-to-date
+# Usage: ./pip_update.sh
+# Run periodically to keep Python requirements up-to-date
set -e
-cd "`dirname $0`"
+cd `dirname $0`/securedrop/requirements
-cd securedrop/
+# This method is slow, because we have to:
+# 1. Downlo... | bash |
d_bash_4446 | ---
+++
@@ -1,11 +1,10 @@
#!/bin/bash
ME=$(basename $0)
-DATABASE_DIR="$(dirname $(readlink -f ${ME}))/database"
-TEMPLATE_DIR="${DATABASE_DIR}/templates"
+TEMPLATE_DIR="${ROOTIQUE}/common/database/templates"
function usage() {
- echo "either supply no arguments \"deps\" or \"sync\""
+ echo "Usage: ${ME} [ dep... | bash |
d_bash_4447 | ---
+++
@@ -22,7 +22,7 @@
# $2 = max_ram
# $3 = run_as_user
-invoke="java -Xmx$2M -Xincgc -XX:+CMSIncrementalPacing -XX:ParallelGCThreads=2 -XX:+AggressiveOpts -jar server.jar --nojline"
+invoke="java -Xmx$2M -Xincgc -XX:+CMSIncrementalPacing -XX:ParallelGCThreads=2 -XX:+AggressiveOpts -jar server.jar -o true"
s... | bash |
d_bash_4448 | ---
+++
@@ -4,4 +4,4 @@
GNULIB_DIR="${PWD}/gnulib"
pushd gnu
-timeout -sKILL 2h make -j "$(nproc)" check SUBDIRS=. RUN_EXPENSIVE_TESTS=no RUN_VERY_EXPENSIVE_TESTS=no VERBOSE=no || : # Kill after 4 hours in case something gets stuck in make
+timeout -sKILL 2h make -j "$(nproc)" check SUBDIRS=. RUN_EXPENSIVE_TESTS=... | bash |
d_bash_4449 | ---
+++
@@ -38,7 +38,7 @@
chmod +x $buildFile
# Cleanup
- if test ! -d $tempFolder; then
+ if test -d $tempFolder; then
rm -rf $tempFolder
fi
fi | bash |
d_bash_4450 | ---
+++
@@ -6,7 +6,7 @@
# Main Core builds
-mkdir build
+mkdir -p build
cd build
cmake ..
make
@@ -15,7 +15,7 @@
# Examples
-mkdir build_examples
+mkdir -p build_examples
cd build_examples
cmake ../examples
make | bash |
d_bash_4451 | ---
+++
@@ -8,10 +8,10 @@
case "$PLATFORM" in
osx)
brew install freetype
- easy_install blockdiag
- easy_install seqdiag
- easy_install actdiag
- easy_install nwdiag
+ sudo easy_install blockdiag
+ sudo easy_install seqdiag
+ sudo easy_install actdiag
+ sudo easy... | bash |
d_bash_4452 | ---
+++
@@ -8,7 +8,7 @@
. ./test/fixtures.sh
test_ruby_engine="${TEST_RUBY_ENGINE:-ruby}"
-test_ruby_version="${TEST_RUBY_VERSION:-2.5.0}"
+test_ruby_version="${TEST_RUBY_VERSION:-2.2.5}"
test_ruby_version_x_y="${test_ruby_version%.*}"
test_ruby_api="${TEST_RUBY_API:-${test_ruby_version%.*}.0}"
test_ruby_root=... | bash |
d_bash_4453 | ---
+++
@@ -1,14 +1,11 @@
#!/bin/sh
-packagelist=(
- php5-cli
- php5-common
- php5-curl
- php5-dev
- php5-fpm
- php5-gd
- php5-imagick
- php5-mysql
-)
-
-sudo apt-get install ${packagelist[@]}
+sudo apt-get install \
+php5-cli \
+php5-common \
+php5-curl \
+php5-dev \
+php5-fpm \
+php5-gd \
+php5-imagick \... | bash |
d_bash_4454 | ---
+++
@@ -1,9 +1,10 @@
#!/usr/bin/env bash
HOSTNAME=$( hostname )
+GIT=$( which git )
# Commit changes from prod server back to git
if [[ -n $(git status -s) ]]; then
- git add .
- git commit -m "[ci skip] Added changes from $HOSTNAME"
- git push origin master
+ $GIT add .
+ $GIT commit -m "[ci... | bash |
d_bash_4455 | ---
+++
@@ -6,4 +6,10 @@
fw_get http://nodejs.org/dist/v0.10.8/node-v0.10.8-linux-x64.tar.gz
fw_untar node-v0.10.8-linux-x64.tar.gz
+# Upgrade npm to avoid https://github.com/npm/npm/issues/4984
+export NODE_HOME=${IROOT}/node-v0.10.8-linux-x64
+export PATH=$PATH:$NODE_HOME/bin
+
+${NODE_HOME}/bin/npm install -g ... | bash |
d_bash_4456 | ---
+++
@@ -1,5 +1,10 @@
#!/usr/bin/env bash
-current_script_path=${BASH_SOURCE[0]}
+if [ "${BASH_SOURCE[0]}" != "" ]; then
+ current_script_path=${BASH_SOURCE[0]}
+else
+ current_script_path=$0
+fi
+
asdf_dir=$(cd $(dirname $current_script_path); echo $(pwd))
export PATH="${asdf_dir}/bin:${asdf_dir}/shims:$PA... | bash |
d_bash_4457 | ---
+++
@@ -7,3 +7,4 @@
cbt --instance production createtable perf-android families=V:maxversions=1,S:maxversions=1,D:maxversions=1,H:maxversions=1,I:maxversions=1
cbt --instance production createtable perf-ct families=V:maxversions=1,S:maxversions=1,D:maxversions=1,H:maxversions=1,I:maxversions=1
cbt --instance p... | bash |
d_bash_4458 | ---
+++
@@ -15,9 +15,10 @@
git checkout master
lein set-version $new_version
lein update-dependency org.onyxplatform/onyx $new_version
-sed -i '' 's/$current_version/"$new_version"/g' README.md
+sed -i.bak 's/$current_version/"$new_version"/g' README.md
+git add README.md project.clj
-git commit -am "Release ver... | bash |
d_bash_4459 | ---
+++
@@ -6,4 +6,4 @@
$min -o nitrogen.min.js nitrogen.js
cat fileupload/jquery.ui.widget.js fileupload/jquery.iframe-transport.js fileupload/jquery.fileupload.js | $min --type js -o jquery.fileupload.min.js
$min -o jquery.sparkline.min.js jquery.sparkline.js
-
+$min -o livevalidation.min.js livevalidation.js | bash |
d_bash_4460 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/bash
# Cleans the docker daemon of all containers which are not running anymore
-docker ps -aqf status=exited | xargs docker rm
+docker ps -aqf status=exited | xargs docker rm -v | bash |
d_bash_4461 | ---
+++
@@ -1,4 +1,5 @@
export BOUNDARY_SDK_HOME=$PWD
+export BOUNDARY_SDK_VERSION=0.00.03
export BOUNDARY_MIB_REPOSITORY="$BOUNDARY_SDK_HOME/runtime/mibrepository"
export PATH=$PATH:"$BOUNDARY_SDK_HOME/src/main/scripts"
alias bsdk='cd $BOUNDARY_SDK_HOME' | bash |
d_bash_4462 | ---
+++
@@ -4,5 +4,5 @@
export C_FORCE_ROOT=true
-cd /makeaplea && source /makeaplea/docker/celery_defaults && celery -A make_a_plea.celery:app worker
+cd /makeaplea && source /makeaplea/docker/celery_defaults && celery worker -A make_a_plea.celery:app --loglevel INFO
| bash |
d_bash_4463 | ---
+++
@@ -2,10 +2,3 @@
source /usr/share/autojump/autojump.zsh
-if [ $(command_exists source-highlight) ]; then
- export LESSOPEN="/usr/share/source-highlight/src-hilite-lesspipe.sh %s"
- export LESS=' -R '
-
- alias ccat='/usr/share/source-highlight/src-hilite-lesspipe.sh'
- alias cat=ccat
-fi | bash |
d_bash_4464 | ---
+++
@@ -2,4 +2,4 @@
set -ex
-setuser azuracast azuracast_cli azuracast:setup:initialize
+exec sudo -E -u azuracast azuracast_cli azuracast:setup:initialize | bash |
d_bash_4465 | ---
+++
@@ -1,9 +1,9 @@
#!/usr/bin/env bash
-openssl aes-256-cbc -K $encrypted_57e4d0a26fa7_key -iv $encrypted_57e4d0a26fa7_iv -in signing.gpg.enc -out signing.gpg -d
+openssl aes-256-cbc -K $encrypted_57e4d0a26fa7_key -iv $encrypted_57e4d0a26fa7_iv -in .travis/signing.gpg.enc -out signing.gpg -d
gpg --import sig... | bash |
d_bash_4466 | ---
+++
@@ -14,18 +14,21 @@
PYTHON_INTERPRETER=/usr/bin/python
usage() {
- echo "Usage: $0 [-h] [-3]"
+ echo "Usage: $0 [-h] [-3] [-p path]"
echo "Use -3 to setup for python 3"
exit 0;
}
-while getopts "h3" opt; do
+while getopts "h3p:" opt; do
case "${opt}" in
h)
usa... | bash |
d_bash_4467 | ---
+++
@@ -11,6 +11,7 @@
echo "Installing Ansible"
apt-get install -qq ansible || exit 1
+ cp /vagrant/.ansible.cfg /home/vagrant/.ansible.cfg
echo "Ansible installed"
fi
| bash |
d_bash_4468 | ---
+++
@@ -21,7 +21,7 @@
# WARNING - doing these things will cause problems:
# 1. Specifying an environment that doesn't exist.
# 2. Specifying an environment that doesn't have a corresponding
-# environment file (e.g. myenv.yml)
+# environment file (e.g. myenv-env.yml)
if [ "$#" -lt 1 ]; then
echo ... | bash |
d_bash_4469 | ---
+++
@@ -4,16 +4,12 @@
cd "$(dirname ${BASH_SOURCE[0]})"
# Copy in files that would otherwise need to download.
-cp ci/* skyfield/documentation
+ln -f ci/*.* skyfield/documentation
function cleanup {
cd skyfield/documentation
- rm -f $(cd ../../ci; ls)
+ rm -f $(cd ../../ci; ls *.*)
}
trap clea... | bash |
d_bash_4470 | ---
+++
@@ -2,22 +2,22 @@
set -e
# Install ASDF Java plugin
-asdf plugin add java
+asdf plugin add java || true
# Install Java 8
-asdf install java adoptopenjdk-8.0.265+1
+asdf install java adoptopenjdk-8.0.265+1 || true
# Install Java 11 and set it globally as default
-asdf install java adoptopenjdk-11.0.8... | bash |
d_bash_4471 | ---
+++
@@ -2,6 +2,7 @@
alias d='cd $HOME/Desktop'
alias j='cd $HOME/Downloads'
+alias gl='git pull'
alias gc='git commit'
alias gs='git status --short'
alias gd='git diff' | bash |
d_bash_4472 | ---
+++
@@ -19,7 +19,7 @@
# First example test sometimes times out due to quark install taking too long
# Seems like an empty maven cache issue
q=/tmp/maven_cache_warmup.q
- echo 'void main(List<String> args) {}' > $q
+ echo 'quark 0.6.100; void main(List<String> args) {}' > $... | bash |
d_bash_4473 | ---
+++
@@ -15,5 +15,5 @@
echo 'add_external_plugin(git https://github.com/OwnLocal/heka-plugins :local)' > cmake/plugin_loader.cmake
source build.sh
cpack -G ${BUILD_TYPE} -D CPACK_PACKAGE_FILE_NAME=heka-${CIRCLE_BUILD_NUM}
-cp heka-${CIRCLE_BUILD_NUM}.tar.gz ${CIRCLE_ARTIFACTS}/
+cp heka-${CIRCLE_BUILD_NUM}.* ${... | bash |
d_bash_4474 | ---
+++
@@ -39,3 +39,4 @@
cp -r raw/root output/
find output -name '*.ee.cer' -delete
find output -name '*.mft.cer' -delete
+find output -name '.gitignore' -delete | bash |
d_bash_4475 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/bash
+
+set -x
CHANGELOG="docs/source/release_notes/release-notes.rst"
@@ -14,7 +16,7 @@
if [ $CHANGELOG_MODIFIED -ne 0 ];
then
- curl -X POST -f --silent --header "Authorization: token $GITHUB_AUTH_TOKEN" -d '{"state": "failure", "description": "No modifications to $CHANGE... | bash |
d_bash_4476 | ---
+++
@@ -2,6 +2,9 @@
DOCKER_MACHINE_DRIVER=${DOCKER_MACHINE_DRIVER:-"--driver virtualbox"}
DOCKER_MACHINE_CREATE="docker-machine create ${DOCKER_MACHINE_DRIVER}"
+## I am using curl to create tokens as I find it the easiest, otherwise
+## one needs to either download or compile a `docker-swarm` binary or
+## h... | bash |
d_bash_4477 | ---
+++
@@ -1,28 +1,26 @@
#!/bin/bash
echo "mode: set" > acc.out
+fail=0
for dir in $(find . -maxdepth 10 -not -path './.git*' -type d);
do
- if ls $dir/*.go &> /dev/null;
- then
- returnval=`go test -coverprofile=profile.out $dir`
- echo ${returnval}
- if [[ ${returnval} != *FAIL* ]]
- then
- if [ -... | bash |
d_bash_4478 | ---
+++
@@ -3,13 +3,21 @@
# usage:
# bash ./genps.sh psstr
-PSSTR=$1
+USAGEHELP="usage: bash ./genps.sh psstr"
+
+PSSTR="$1"
LENGTH=$(echo "${PSSTR}" | wc -c)
((CUTEND=$LENGTH+15))
-if [ ${CUTEND} -gt 512 ];then
- echo "length is too long."
+if [ -z "${PSSTR}" ];then
+ echo "str is empty."
+ echo ${USAGEHELP... | bash |
d_bash_4479 | ---
+++
@@ -14,7 +14,7 @@
# Install CMake
echo "Installing CMake"
-CMAKE_URL=http://www.cmake.org/files/v3.1/cmake-3.1.3-Linux-x86_64.tar.gz
+CMAKE_URL=https://www.cmake.org/files/v3.1/cmake-3.1.3-Linux-x86_64.tar.gz
CMAKE_FILE=/tmp/cmake.tar.gz
wget $CMAKE_URL -O $CMAKE_FILE
tar -xvf $CMAKE_FILE -C $HOME | bash |
d_bash_4480 | ---
+++
@@ -1,7 +1,5 @@
# Install jq to filter Github release data for Pandoc.
-# sudo apt-get -y install jq
+sudo apt-get -y install jq
# Get the latest .deb released.
-# wget `curl https://api.github.com/repos/jgm/pandoc/releases/latest | jq -r '.assets[] | .browser_download_url | select(endswith("deb"))'` -O pan... | bash |
d_bash_4481 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
# source this file
-export AWS_ACCESS_KEY_ID="$(lpass show --sync=now --notes 9022891142845286058 | jq -r '.AccessKey | .AccessKeyId')"
-export AWS_SECRET_ACCESS_KEY="$(lpass show --sync=now --notes 9022891142845286058 | jq -r '.AccessKey | .SecretAccessKey')"
+export AWS_ACCES... | bash |
d_bash_4482 | ---
+++
@@ -1,21 +1,23 @@
#! /usr/bin/env bash
-set -x
+current_version=`python setup.py --version`
-current_version=`python setup.py --version`
-if [[ "$TRAVIS_BRANCH" == "master" && "$TRAVIS_PULL_REQUEST" != false ]]
+if ! git diff-index --quiet master openfisca_parsers
then
- if git rev-parse $current_ver... | bash |
d_bash_4483 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/sh
HOSTN=$( scutil --get LocalHostName );
-SUBMITURL="http://munki.stmonicas.qld.edu.au/munki-enroll/enroll.php"
+SUBMITURL="http://smcxs001.cairns.catholic.edu.au/munki/munki-enroll/enroll.php"
COMPFIELD1=`defaults read /Library/Preferences/com.apple.RemoteDesktop Text1`
@@ ... | bash |
d_bash_4484 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/bash -x
+#!/bin/bash -ex
# A shell script that determines if the external_libs branch needs an update
# and if yes, updates it
@@ -8,10 +8,12 @@
# Ensure that branches $branch_name and external_libs/$branch_name exist
git checkout "$branch_name"
+git pull
if ! git checkout ext... | bash |
d_bash_4485 | ---
+++
@@ -1,8 +1,19 @@
source ../libsodium/plan.sh
pkg_name=libsodium-musl
+pkg_origin=core
pkg_maintainer="The Habitat Maintainers <humans@habitat.sh>"
-pkg_deps=(core/musl)
+pkg_description="\
+Sodium is a new, easy-to-use software library for encryption, decryption, \
+signatures, password hashing and more.... | bash |
d_bash_4486 | ---
+++
@@ -14,8 +14,8 @@
echo "Logging docker engine $DOCKER_ADDRESS in to $REGISTRY_ADDRESS"
echo $DOCKER_PASSWORD| sudo -S docker login -u=$REGISTRY_LOGIN -p=$REGISTRY_PASSWORD https://$REGISTRY_ADDRESS
-echo "Pulling the image named $REGISTRY_ADDRESS/$IMAGE_NAME from docker engine $DOCKER_ADDRESS "
-docker -H... | bash |
d_bash_4487 | ---
+++
@@ -26,9 +26,12 @@
else
PLAT=linux
fi
- echo "Creating tarball mingw-$a-gcc-4.7.2-$PLAT-$ARCH.tar.xz"
+ TC=mingw-$a-gcc-4.7.2-$PLAT-$ARCH.tar.xz
+ echo "Creating tarball $TC"
cd ~/mingw/$PLAT/$a
- XZ_OPT=-9 tar cJf $CURDIR/mingw-$a-gcc-4.7.2-$PLAT-$ARCH.tar.xz *
+ XZ_OP... | bash |
d_bash_4488 | ---
+++
@@ -17,7 +17,7 @@
#export LESS_TERMCAP_so=$'\E[1;40;34m'
#export LESS_TERMCAP_so=$'\E[1;43;30m'
export LESS_TERMCAP_so=$'\E[1;44m'
-export LESS_TERMCAP_se=$'\E[0m'
+export LESS_TERMCAP_se=$'\E[22;49m'
# Underline
export LESS_TERMCAP_us=$'\E[04;95m' | bash |
d_bash_4489 | ---
+++
@@ -2,13 +2,18 @@
if test ! $(which asdf); then
echo "Installing asdf (language version manager) for you"
- git clone https://github.com/asdf-vm/asdf.git ~/.asdf --branch v0.5.0 > /tmp/asdf-install.log
+ brew install asdf
fi
plugins=(
nodejs
+ python
ruby
)
for plugin in ${plugins[@]}; do... | bash |
d_bash_4490 | ---
+++
@@ -18,7 +18,7 @@
cd ..
echo "Mounting data drive"
-sudo echo "/etc/sda1 /mnt/exti ext4 defaults 0 0" >> fstab
+sudo bash -c "echo '/etc/sda1 /mnt/exti ext4 defaults 0 0' > /etc/fstab
sudo mount -a
echo "Starting btsync" | bash |
d_bash_4491 | ---
+++
@@ -2,5 +2,7 @@
# Simple wrapper to run check_config
# Relx extensions cannot be binary files but sourced bash files only
+# Also append ERTS BINDIR to PATH to run the escript
+PATH=$BINDIR:$PATH
$SCRIPT_DIR/check_config $@ | bash |
d_bash_4492 | ---
+++
@@ -11,8 +11,8 @@
echo "Missing version input."
exit 1
fi
-VERSION_HASH="$(pushd "$CMAKE_SOURCE_DIR" &>/dev/null && git rev-parse HEAD 2>/dev/null ; popd &>/dev/null)"
-EXPECTED=v$EXPECTED-$VERSION_HASH
+[[ -z "$BUILDKITE_COMMIT" ]] && export BUILDKITE_COMMIT="$(pushd "$CMAKE_SOURCE_DIR" &>/dev/nul... | bash |
d_bash_4493 | ---
+++
@@ -1,2 +1,2 @@
#!/usr/bin/env sh
-cd spec/dummy && echo "bundle install" && bundle install --without debug && echo "rake db:create" && bundle exec rake db:create && echo "rake db:migrate" && bundle exec rake db:migrate && cd ../../ && echo "rspec spec" && bundle exec rspec spec
+cd spec/dummy && echo "bundl... | bash |
d_bash_4494 | ---
+++
@@ -2,6 +2,7 @@
alias reload!='. ~/.zshrc'
DOTFILES_OS=`uname -s`
+PKGBUILD_DIR="${HOME}/src/aur"
# Normal aliases
alias visudo='sudo -E EDITOR=vim visudo'
@@ -28,9 +29,20 @@
}
function aurd () {
- git clone https://aur4.archlinux.org/$1.git/ ${HOME}/src/aur/$1
+ mkdir -p ${PKGBUILD_DIR}
+ ... | bash |
d_bash_4495 | ---
+++
@@ -1,11 +1,7 @@
#!/bin/sh
-builddir=$1
port=4004
exp=blobgen_exp
-
-env | grep dir
-pwd
[ -f ${exp}.sq3 ] && rm -f ${exp}.sq3
[ -f blobgen-server.log ] && rm -f blobgen-server.log
@@ -15,7 +11,6 @@
sleep 1
-#blobgen=$builddir/test/system/blob/blobgen
blobgen=./blobgen
if [ ! -x ${blobgen} ]... | bash |
d_bash_4496 | ---
+++
@@ -1,6 +1,9 @@
+# Appends the first argument to the `PATH` if it exists and is a directory.
append-path-entry () {
- if [ -d $1 ]; then
- PATH="$PATH:$1"
+ dir=$1
+
+ if [ -d $dir ]; then
+ PATH="$PATH:$dir"
fi
}
| bash |
d_bash_4497 | ---
+++
@@ -33,7 +33,7 @@
exit 1
fi
- if [[ $STATUS = "CREATE_COMPLETE" ]] ; then
+ if [[ $STATUS = "CREATE_COMPLETE" ]] || [[ $STATUS = "UPDATE_COMPLETE" ]]; then
echo "$STATUS"
break
fi | bash |
d_bash_4498 | ---
+++
@@ -18,9 +18,10 @@
# Link
ln -s ${SYNOPKG_PKGDEST} ${INSTALL_DIR}
- # Put sshfs in the PATH
+ # Put sshfs & fusermount in the PATH
mkdir -p /usr/local/bin
ln -s ${INSTALL_DIR}/bin/sshfs /usr/local/bin/sshfs
+ ln -s ${INSTALL_DIR}/bin/fusermount /usr/local/bin/fusermount
... | bash |
d_bash_4499 | ---
+++
@@ -4,7 +4,11 @@
rm -rf build
mkdir build
cd build
-cmake ..
-make
-make src/mytest
+if command -v ninja; then
+ cmake .. -GNinja
+ ninja
+else
+ cmake ..
+ make
+fi
src/mytest | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.